package model

import "time"

type Report struct {
	CreatedAndModified    `xorm:"extends"`
	Deleted               `xorm:"extends"`
	Id                    string     `xorm:"varchar(120) pk not null" json:"id"`
	ParkId                string     `xorm:"varchar(120) not null" json:"parkId"`
	Period                time.Time  `xorm:"date not null" json:"period"`
	Published             bool       `xorm:"bool not null default false" json:"published"`
	PublishedAt           *time.Time `xorm:"timestampz" json:"publishedAt"`
	Withdraw              int8       `xorm:"smallint not null default 0" json:"withdraw"`
	LastWithdrawAppliedAt *time.Time `xorm:"timestampz" json:"lastWithdrawAppliedAt"`
	LastWithdrawAuditAt   *time.Time `xorm:"timestampz" json:"lastWithdrawAuditAt"`
}

func (Report) TableName() string {
	return "report"
}
