package model

import "time"

type Created struct {
	CreatedAt time.Time `xorm:"timestampz not null created" json:"createdAt"`
}

type CreatedWithUser struct {
	Created   `xorm:"extends"`
	CreatedBy *string `xorm:"varchar(100)" json:"createdBy"`
}

type Deleted struct {
	DeletedAt *time.Time `xorm:"timestampz deleted" json:"deletedAt"`
}

type DeletedWithUser struct {
	Deleted   `xorm:"extends"`
	DeletedBy *string `xorm:"varchar(120)" json:"deletedBy"`
}

type CreatedAndModified struct {
	Created        `xorm:"extends"`
	LastModifiedAt *time.Time `xorm:"timestampz updated" json:"lastModifiedAt"`
}

type CreatedAndModifiedWithUser struct {
	CreatedAndModified `xorm:"extends"`
	CreatedBy          *string `xorm:"varchar(100)" json:"createdBy"`
	LastModifiedBy     *string `xorm:"varchar(100)" json:"lastModifiedBy"`
}
